<?php
  echo "Nombre à convertir (base 10) : ";
  fscanf(STDIN,"%d",$nb)                ;
  echo "Base de conversion : " ;
  fscanf(STDIN,"%d",$base)     ;

  $diviseur = $base ;
  $quotient = -1    ;
  while ($quotient != 0)
  {
    $reste    = $nb % $diviseur ;
    $quotient = ($nb-$reste) / $diviseur ;
    // --- Evolution prochaine iteration ---   
    $nb       = $quotient      ;
    echo $reste.PHP_EOL        ;
  }
?>
